;InnoSetupVersion=4.2.4

[Setup]
AppName=Audacity
AppVerName=Audacity 1.2.3
AppId=Audacity
AppPublisherURL=http://audacity.sourceforge.net
AppSupportURL=http://audacity.sourceforge.net
AppUpdatesURL=http://audacity.sourceforge.net
DefaultDirName={pf}\Audacity
UninstallDisplayIcon={app}\audacity.exe
OutputBaseFilename=setup
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\audacity.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\audacity-1.2-help.htb"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Languages\bg\audacity.mo"; DestDir: "{app}\Languages\bg"; Flags: ignoreversion 
Source: "{app}\Languages\ca\audacity.mo"; DestDir: "{app}\Languages\ca"; Flags: ignoreversion 
Source: "{app}\Languages\ca\wxstd.mo"; DestDir: "{app}\Languages\ca"; Flags: ignoreversion 
Source: "{app}\Languages\cs\audacity.mo"; DestDir: "{app}\Languages\cs"; Flags: ignoreversion 
Source: "{app}\Languages\cs\wxstd.mo"; DestDir: "{app}\Languages\cs"; Flags: ignoreversion 
Source: "{app}\Languages\da\audacity.mo"; DestDir: "{app}\Languages\da"; Flags: ignoreversion 
Source: "{app}\Languages\da\wxstd.mo"; DestDir: "{app}\Languages\da"; Flags: ignoreversion 
Source: "{app}\Languages\de\audacity.mo"; DestDir: "{app}\Languages\de"; Flags: ignoreversion 
Source: "{app}\Languages\de\wxstd.mo"; DestDir: "{app}\Languages\de"; Flags: ignoreversion 
Source: "{app}\Languages\es\audacity.mo"; DestDir: "{app}\Languages\es"; Flags: ignoreversion 
Source: "{app}\Languages\es\wxstd.mo"; DestDir: "{app}\Languages\es"; Flags: ignoreversion 
Source: "{app}\Languages\fi\audacity.mo"; DestDir: "{app}\Languages\fi"; Flags: ignoreversion 
Source: "{app}\Languages\fi\wxstd.mo"; DestDir: "{app}\Languages\fi"; Flags: ignoreversion 
Source: "{app}\Languages\fr\audacity.mo"; DestDir: "{app}\Languages\fr"; Flags: ignoreversion 
Source: "{app}\Languages\fr\wxstd.mo"; DestDir: "{app}\Languages\fr"; Flags: ignoreversion 
Source: "{app}\Languages\hu\audacity.mo"; DestDir: "{app}\Languages\hu"; Flags: ignoreversion 
Source: "{app}\Languages\hu\wxstd.mo"; DestDir: "{app}\Languages\hu"; Flags: ignoreversion 
Source: "{app}\Languages\it\audacity.mo"; DestDir: "{app}\Languages\it"; Flags: ignoreversion 
Source: "{app}\Languages\it\wxstd.mo"; DestDir: "{app}\Languages\it"; Flags: ignoreversion 
Source: "{app}\Languages\ja\audacity.mo"; DestDir: "{app}\Languages\ja"; Flags: ignoreversion 
Source: "{app}\Languages\mk\audacity.mo"; DestDir: "{app}\Languages\mk"; Flags: ignoreversion 
Source: "{app}\Languages\nb\audacity.mo"; DestDir: "{app}\Languages\nb"; Flags: ignoreversion 
Source: "{app}\Languages\nl\audacity.mo"; DestDir: "{app}\Languages\nl"; Flags: ignoreversion 
Source: "{app}\Languages\nl\wxstd.mo"; DestDir: "{app}\Languages\nl"; Flags: ignoreversion 
Source: "{app}\Languages\pl\audacity.mo"; DestDir: "{app}\Languages\pl"; Flags: ignoreversion 
Source: "{app}\Languages\pl\wxstd.mo"; DestDir: "{app}\Languages\pl"; Flags: ignoreversion 
Source: "{app}\Languages\pt\audacity.mo"; DestDir: "{app}\Languages\pt"; Flags: ignoreversion 
Source: "{app}\Languages\ru\audacity.mo"; DestDir: "{app}\Languages\ru"; Flags: ignoreversion 
Source: "{app}\Languages\ru\wxstd.mo"; DestDir: "{app}\Languages\ru"; Flags: ignoreversion 
Source: "{app}\Languages\sl\audacity.mo"; DestDir: "{app}\Languages\sl"; Flags: ignoreversion 
Source: "{app}\Languages\sl\wxstd.mo"; DestDir: "{app}\Languages\sl"; Flags: ignoreversion 
Source: "{app}\Languages\sv\audacity.mo"; DestDir: "{app}\Languages\sv"; Flags: ignoreversion 
Source: "{app}\Languages\sv\wxstd.mo"; DestDir: "{app}\Languages\sv"; Flags: ignoreversion 
Source: "{app}\README.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Nyquist\bug.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\dspprims.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\evalenv.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\follow.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\init.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\misc.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\nyinit.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\nyqmisc.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\nyquist.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\printrec.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\profile.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\seq.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\seqfnint.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\seqmidi.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\sndfnint.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\system.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\test.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Nyquist\xlinit.lsp"; DestDir: "{app}\Nyquist"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\beat.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\clicktrack.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\crossfadein.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\crossfadeout.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\delay.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\GVerb.dll"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\Hard Limiter.dll"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\highpass,1.ny"; DestDir: "{app}\Plug-Ins"; DestName: "highpass.ny"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\highpass,2.ny"; DestDir: "{app}\Plug-Ins"; DestName: "highpass.ny"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\lowpass.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\pluck.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\sc4.dll"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 
Source: "{app}\Plug-Ins\tremolo.ny"; DestDir: "{app}\Plug-Ins"; Flags: ignoreversion 

[Registry]
Root: HKCR; Subkey: ".AUP"; ValueType: String; ValueData: "Audacity.Project"; Tasks: associate_aup; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCR; Subkey: "Audacity.Project"; ValueType: String; ValueData: "Audacity Project File"; Tasks: associate_aup; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCR; Subkey: "Audacity.Project\shell"; ValueType: String; Tasks: associate_aup; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCR; Subkey: "Audacity.Project\shell\open"; Tasks: associate_aup; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCR; Subkey: "Audacity.Project\shell\open\command"; ValueType: String; ValueData: """{app}\audacity.exe"" ""%1"""; Tasks: associate_aup; Flags: createvalueifdoesntexist uninsdeletekey 

[Run]
Filename: "{app}\audacity.exe"; Description: "Launch Audacity"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{commonprograms}\Audacity"; Filename: "{app}\audacity.exe"; 
Name: "{userdesktop}\Audacity"; Filename: "{app}\audacity.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "associate_aup"; Description: "&Associate Audacity project files"; GroupDescription: "Other tasks:"; 

[InstallDelete]
Type: files; Name: "{app}\audacity-help.htb"; 
Type: files; Name: "{commonprograms}\Audacity\audacity.exe"; 
Type: files; Name: "{commonprograms}\Audacity\unins000.exe"; 
Type: dirifempty; Name: "{commonprograms}\Audacity"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
